# DaprProtos.QueryStateRequestOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface DaprProtos.QueryStateRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.QueryStateRequest`, `DaprProtos.QueryStateRequest.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.QueryStateRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`boolean` `containsMetadata​(String key)` The metadata which will be sent to state store components.
`Map<String,​String>` `getMetadata()` Deprecated.
`int` `getMetadataCount()` The metadata which will be sent to state store components.
`Map<String,​String>` `getMetadataMap()` The metadata which will be sent to state store components.
`String` `getMetadataOrDefault​(String key, String defaultValue)` The metadata which will be sent to state store components.
`String` `getMetadataOrThrow​(String key)` The metadata which will be sent to state store components.
`String` `getQuery()` The query in JSON format.
`com.google.protobuf.ByteString` `getQueryBytes()` The query in JSON format.
`String` `getStoreName()` The name of state store.
`com.google.protobuf.ByteString` `getStoreNameBytes()` The name of state store.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getStoreName

    String getStoreName()

     The name of state store.

`string store_name = 1 [json_name = "storeName"];`

Returns:
  The storeName.

#### getStoreNameBytes

    com.google.protobuf.ByteString getStoreNameBytes()

     The name of state store.

`string store_name = 1 [json_name = "storeName"];`

Returns:
  The bytes for storeName.

#### getQuery

    String getQuery()

     The query in JSON format.

`string query = 2;`

Returns:
  The query.

#### getQueryBytes

    com.google.protobuf.ByteString getQueryBytes()

     The query in JSON format.

`string query = 2;`

Returns:
  The bytes for query.

#### getMetadataCount

    int getMetadataCount()

     The metadata which will be sent to state store components.

`map<string, string> metadata = 3;`

#### containsMetadata

    boolean containsMetadata​(String key)

     The metadata which will be sent to state store components.

`map<string, string> metadata = 3;`

#### getMetadata

    @Deprecated
    Map<String,​String> getMetadata()

Deprecated.
Use `getMetadataMap()` instead.

#### getMetadataMap

    Map<String,​String> getMetadataMap()

     The metadata which will be sent to state store components.

`map<string, string> metadata = 3;`

#### getMetadataOrDefault

    String getMetadataOrDefault​(String key,
                                String defaultValue)

     The metadata which will be sent to state store components.

`map<string, string> metadata = 3;`

#### getMetadataOrThrow

    String getMetadataOrThrow​(String key)

     The metadata which will be sent to state store components.

`map<string, string> metadata = 3;`